Subject: Re: [PATCH 4/4] win32: Improve the conditional inclusion of WIN32 API code

From: Ramsay Jones <[email-masked]>
Date: Wed, 04 Nov 2009 19:40:41 +0000

Johannes Sixt wrote:
> It may be that I understand something incorrectly; but then I blame the
> justification that you gave. In this case, it would be helpful to reword
> the commit message, and perhaps add some results from your experiments.
> 

The discussion which lead to this patch, including the experiments, can be
found in the email thread starting here:

    http://thread.gmane.org/gmane.comp.version-control.git/129403

(along with some other unrelated stuff; but it's not a long read :)

In the above thread, Marius suggested API_WIN32, but I switched it around, since
I thought it sounded better! I also thought about GIT_WIN32. Suggestions?

ATB,
Ramsay Jones